<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
 	 * @subpackage Kids Education Pro
 	 * @since Kids Education Pro 1.0
	 */

	/**
	 * kids_education_pro_doctype hook
	 *
	 * @hooked kids_education_pro_doctype -  10
	 *
	 */
	do_action( 'kids_education_pro_doctype' );
?>
<head>
<?php
	/**
	 * kids_education_pro_before_wp_head hook
	 *
	 * @hooked kids_education_pro_head -  10
	 *
	 */
	do_action( 'kids_education_pro_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>
	<?php do_action( 'wp_body_open' ); ?>
<?php
	/**
	 * kids_education_pro_page_start_action hook
	 *
	 * @hooked kids_education_pro_page_start -  10
	 *
	 */
	do_action( 'kids_education_pro_page_start_action' ); 

	/**
	 * kids_education_pro_loader_action hook
	 *
	 * @hooked kids_education_pro_loader -  10
	 *
	 */
	do_action( 'kids_education_pro_add_loader' );

	/**
	 * kids_education_pro_header_action hook
	 *
	 * @hooked kids_education_pro_navigation -  10
	 *
	 */
	do_action( 'kids_education_pro_header_action' );

	/**
	 * kids_education_pro_content_start_action hook
	 *
	 * @hooked kids_education_pro_content_start -  10
	 * @hooked kids_education_pro_render_banner_section -  20
	 *
	 */
	do_action( 'kids_education_pro_content_start_action' );

	/**
	* kids_education_pro_primary_content hook
	*
	* @hooked kids_education_pro_add_slider_section - 10
	* @hooked kids_education_pro_add_info_section - 20
	* @hooked kids_education_pro_add_features_section - 30
	* @hooked kids_education_pro_add_search_course_section - 40
	* @hooked kids_education_pro_add_recent_section - 50
	* @hooked kids_education_pro_add_counter_section - 60
	* @hooked kids_education_pro_add_team_section - 70
	* @hooked kids_education_pro_add_portfolio_section - 80
	*
	*/
	do_action( 'kids_education_pro_primary_content' );