<?php
/**
 * Kids Education Pro Contact Customizer options
 *
 * @package Theme Palace
 * @subpackage Kids Education Pro
 * @since Kids Education Pro 1.0
 */

// Add contact page template section
$wp_customize->add_section( 'kids_education_pro_contact_section', array(
	'title'             => esc_html__( 'Contact Page','kids-education-pro' ),
	'description'       => esc_html__( 'Contact page options.', 'kids-education-pro' ),
	'panel'             => 'kids_education_pro_page_template_panel'
) );

// Add  enable  address block setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[enable_address_block]', array(
	'default'           => $options['enable_address_block'],
	'sanitize_callback' => 'kids_education_pro_sanitize_checkbox'
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[enable_address_block]', array(
	'label'             => esc_html__( 'Enable Address Block', 'kids-education-pro' ),
	'section'           => 'kids_education_pro_contact_section',
	'type'              => 'checkbox',
) );

// Add title for contact phone block
$wp_customize->add_setting( 'kids_education_pro_theme_options[contact_phone]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
) );

$wp_customize->add_control( new Kids_Education_Pro_Note_Control( $wp_customize, 'kids_education_pro_theme_options[contact_phone]', array(
	'label'           	=> esc_html__( 'Phone Number', 'kids-education-pro' ),
	'section'         	=> 'kids_education_pro_contact_section',
	'type'            	=> 'description',
	'active_callback' 	=> 'kids_education_pro_is_contact_address_active',
) ) );

// Add contact phone icon setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[contact_phone_icon]', array(
	'default'           => $options['contact_phone_icon'],
	'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[contact_phone_icon]', array(
	'label'             => esc_html__( 'Icon', 'kids-education-pro' ),
	'section'           => 'kids_education_pro_contact_section',
	'input_attrs'		=> array( 'placeholder' => 'fa-phone' ),
	'active_callback' 	=> 'kids_education_pro_is_contact_address_active',

) );

// Add contact phone title setting and control
$wp_customize->add_setting( 'kids_education_pro_theme_options[contact_phone_title]', array(
	'default'			=> $options['contact_phone_title'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[contact_phone_title]', array(
	'label'           	=> esc_html__( 'Title', 'kids-education-pro' ),
	'section'         	=> 'kids_education_pro_contact_section',
	'active_callback' 	=> 'kids_education_pro_is_contact_address_active',
) );

// Add contact phone number setting and control
$wp_customize->add_setting( 'kids_education_pro_theme_options[contact_phone_number]', array(
	'default'			=> $options['contact_phone_number'],
	'sanitize_callback' => 'wp_kses_post',
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[contact_phone_number]', array(
	'label'           	=> esc_html__( 'Contact Number', 'kids-education-pro' ),
	'description'		=> esc_html__( 'Allowed to use basic html tags like &lt;a&gt;, &lt;small&gt;, &lt;br&gt; etc.', 'kids-education-pro' ),
	'section'         	=> 'kids_education_pro_contact_section',
	'active_callback' 	=> 'kids_education_pro_is_contact_address_active',
	'type'				=> 'textarea'
) );

// Add  contact address setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[contact_address]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
) );

$wp_customize->add_control( new Kids_Education_Pro_Note_Control( $wp_customize, 'kids_education_pro_theme_options[contact_address]', array(
	'active_callback' 	=> 'kids_education_pro_is_contact_address_active',
	'label'           	=> esc_html__( 'Address', 'kids-education-pro' ),
	'section'         	=> 'kids_education_pro_contact_section',
	'type'            	=> 'description',
) ) );

// Add contact address icon setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[contact_address_icon]', array(
	'default'           => $options['contact_address_icon'],
	'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[contact_address_icon]', array(
	'label'             => esc_html__( 'Icon', 'kids-education-pro' ),
	'section'           => 'kids_education_pro_contact_section',
	'active_callback' 	=> 'kids_education_pro_is_contact_address_active',
) );

// Add contact address title setting and control
$wp_customize->add_setting( 'kids_education_pro_theme_options[contact_address_title]', array(
	'default'			=> $options['contact_address_title'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[contact_address_title]', array(
	'label'           	=> esc_html__( 'Title', 'kids-education-pro' ),
	'section'         	=> 'kids_education_pro_contact_section',
	'active_callback' 	=> 'kids_education_pro_is_contact_address_active',
) );

// Add contact address description setting and control
$wp_customize->add_setting( 'kids_education_pro_theme_options[contact_address_description]', array(
	'default'			=> $options['contact_address_description'],
	'sanitize_callback' => 'wp_kses_post',
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[contact_address_description]', array(
	'label'           	=> esc_html__( 'Contact Address', 'kids-education-pro' ),
	'description'		=> esc_html__( 'Allowed to use basic html tags like &lt;a&gt;, &lt;small&gt;, &lt;br&gt; etc.', 'kids-education-pro' ),
	'section'         	=> 'kids_education_pro_contact_section',
	'type'			  	=> 'textarea',
	'active_callback' 	=> 'kids_education_pro_is_contact_address_active',
) );

// Add contact email  setting and control
$wp_customize->add_setting( 'kids_education_pro_theme_options[contact_email]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
) );

$wp_customize->add_control( new Kids_Education_Pro_Note_Control( $wp_customize, 'kids_education_pro_theme_options[contact_email]', array(
	'active_callback' 	=> 'kids_education_pro_is_contact_address_active',
	'label'           	=> esc_html__( 'Email', 'kids-education-pro' ),
	'section'         	=> 'kids_education_pro_contact_section',
	'type'            	=> 'description',
) ) );

// Add contact email icon setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[contact_email_icon]', array(
	'default'           => $options['contact_email_icon'],
	'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[contact_email_icon]', array(
	'label'             => esc_html__( 'Icon', 'kids-education-pro' ),
	'section'           => 'kids_education_pro_contact_section',
	'active_callback' 	=> 'kids_education_pro_is_contact_address_active',

) );

// Add contact email title setting and control
$wp_customize->add_setting( 'kids_education_pro_theme_options[contact_email_title]', array(
	'default'			=> $options['contact_email_title'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[contact_email_title]', array(
	'label'           	=> esc_html__( 'Title', 'kids-education-pro' ),
	'section'         	=> 'kids_education_pro_contact_section',
	'active_callback' 	=> 'kids_education_pro_is_contact_address_active',
) );

// Add contact email id setting and control
$wp_customize->add_setting( 'kids_education_pro_theme_options[contact_email_id]', array(
	'default'			=> $options['contact_email_id'],
	'sanitize_callback' => 'wp_kses_post',
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[contact_email_id]', array(
	'label'           	=> esc_html__( 'Contact Email', 'kids-education-pro' ),
	'description'		=> esc_html__( 'Allowed to use basic html tags like &lt;a&gt;, &lt;small&gt;, &lt;br&gt; etc.', 'kids-education-pro' ),
	'section'         	=> 'kids_education_pro_contact_section',
	'type'			  	=> 'textarea',
	'active_callback' 	=> 'kids_education_pro_is_contact_address_active',
) );

// Add contact  time schedule setting and control
$wp_customize->add_setting( 'kids_education_pro_theme_options[working_schedule]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
) );

$wp_customize->add_control( new Kids_Education_Pro_Note_Control( $wp_customize, 'kids_education_pro_theme_options[working_schedule]', array(
	'active_callback' 	=> 'kids_education_pro_is_contact_address_active',
	'label'           	=> esc_html__( 'Working Schedule', 'kids-education-pro' ),
	'section'         	=> 'kids_education_pro_contact_section',
	'type'            	=> 'description',
) ) );

// Add contact email icon setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[working_schedule_icon]', array(
	'default'           => $options['working_schedule_icon'],
	'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[working_schedule_icon]', array(
	'label'             => esc_html__( 'Icon', 'kids-education-pro' ),
	'section'           => 'kids_education_pro_contact_section',
	'active_callback' 	=> 'kids_education_pro_is_contact_address_active',

) );

// Add contact email title setting and control
$wp_customize->add_setting( 'kids_education_pro_theme_options[working_schedule_title]', array(
	'default'			=> $options['working_schedule_title'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[working_schedule_title]', array(
	'label'           	=> esc_html__( 'Title', 'kids-education-pro' ),
	'section'         	=> 'kids_education_pro_contact_section',
	'active_callback' 	=> 'kids_education_pro_is_contact_address_active',
) );

// Add contact email id setting and control
$wp_customize->add_setting( 'kids_education_pro_theme_options[working_schedule_time]', array(
	'default'			=> $options['working_schedule_time'],
	'sanitize_callback' => 'wp_kses_post',
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[working_schedule_time]', array(
	'label'           	=> esc_html__( 'Contact Email', 'kids-education-pro' ),
	'description'		=> esc_html__( 'Allowed to use basic html tags like &lt;a&gt;, &lt;small&gt;, &lt;br&gt; etc.', 'kids-education-pro' ),
	'section'         	=> 'kids_education_pro_contact_section',
	'type'			  	=> 'textarea',
	'active_callback' 	=> 'kids_education_pro_is_contact_address_active',
) );


// Add enable contact form setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[enable_contact_form]', array(
	'default'           	=> $options['enable_contact_form'],
	'sanitize_callback' 	=> 'kids_education_pro_sanitize_checkbox'
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[enable_contact_form]', array(
	'label'             	=> esc_html__( 'Enable Contact Form', 'kids-education-pro' ),
	'section'           	=> 'kids_education_pro_contact_section',
	'type'             	 	=> 'checkbox',
) );

// Show contact form shortcode setting and control
$wp_customize->add_setting( 'kids_education_pro_theme_options[contact_form_shortcode]', array(
	'sanitize_callback' 	=> 'sanitize_text_field',
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[contact_form_shortcode]', array(
	'label'           		=> esc_html__( 'Contact Form Shortcode', 'kids-education-pro' ),
	'description'     		=> esc_html__( 'Input the shortcode generated by your contact form here. eg: [contact-form-7 id="277" title="Contact form 1"]', 'kids-education-pro' ),
	'section'         		=> 'kids_education_pro_contact_section',
	'active_callback' 		=> 'kids_education_pro_is_contact_form_active',
	'type'            		=> 'textarea',
) );

// Add enable contact form setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[enable_contact_map]', array(
	'default'           	=> $options['enable_contact_map'],
	'sanitize_callback' 	=> 'kids_education_pro_sanitize_checkbox'
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[enable_contact_map]', array(
	'label'             	=> esc_html__( 'Enable Contact Map', 'kids-education-pro' ),
	'section'           	=> 'kids_education_pro_contact_section',
	'type'             	 	=> 'checkbox',
) );


// Add map form setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[map_type_option]', array(
	'default'           	=> $options['map_type_option'],
	'sanitize_callback' 	=> 'kids_education_pro_sanitize_select'
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[map_type_option]', array(
	'label'             	=> esc_html__( 'Map Optiona', 'kids-education-pro' ),
	'section'           	=> 'kids_education_pro_contact_section',
	'type'             	 	=> 'select',
	'choices'			  	=> array( 
		'embed' 			=> esc_html__( 'Embed Code', 'kids-education-pro' ),
		'shortcode'			=> esc_html__( 'Plugin Shortcode', 'kids-education-pro' )
	),
	'active_callback'		=> 'kids_education_pro_is_contact_map_active'
) );


// Show google map embed setting and control
$wp_customize->add_setting( 'kids_education_pro_theme_options[contact_map_embed]', array(
	'sanitize_callback' 	=> 'kids_education_pro_sanitize_google_map_iframe',
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[contact_map_embed]', array(
	'label'           		=> esc_html__( 'Map Embed Code', 'kids-education-pro' ),
	'description'     		=> esc_html__( 'Input Google Map embed code.', 'kids-education-pro' ),
	'section'         		=> 'kids_education_pro_contact_section',
	'active_callback' 		=> 'kids_education_pro_contact_map_embed',
	'type'            		=> 'textarea',
) );

// Show google map shortcode setting and control
$wp_customize->add_setting( 'kids_education_pro_theme_options[contact_map_shortcode]', array(
	'sanitize_callback' 	=> 'sanitize_text_field',
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[contact_map_shortcode]', array(
	'label'           		=> esc_html__( 'Map Shortcode', 'kids-education-pro' ),
	'description'     		=> esc_html__( 'Input Google Map shortcode.', 'kids-education-pro' ),
	'section'         		=> 'kids_education_pro_contact_section',
	'active_callback' 		=> 'kids_education_pro_contact_map_shortcode',
	'type'            		=> 'textarea',
) );
