<?php
/**
 * Info content Customizer options
 *
 * @package Theme Palace
 * @subpackage Kids Education Pro
 * @since Kids Education Pro 1.0
 */


// Add Info content enable section
$wp_customize->add_section( 'kids_education_pro_about_section', array(
	'title'             => esc_html__( 'About','kids-education-pro'),
	'description'       => esc_html__( 'About section options.', 'kids-education-pro' ),
	'priority'			=> '10',
	'panel'             => 'kids_education_pro_sections_panel'
) );

// Add Info content enable setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[enable_about_content]', array(
	'default'           => $options['enable_about_content'],
	'sanitize_callback' => 'kids_education_pro_sanitize_select'
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[enable_about_content]', array(
	'label'             => esc_html__( 'Check To Enable', 'kids-education-pro' ),
	'section'           => 'kids_education_pro_about_section',
	'type'              => 'select',
	'choices'			=> kids_education_pro_enable_disable_options(),
) );

// Add Info content type setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[about_type]', array(
	'default'           => $options['about_type'],
	'sanitize_callback' => 'kids_education_pro_sanitize_select'
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[about_type]', array(
	'label'           	=> esc_html__( 'Content Type', 'kids-education-pro' ),
	'section'         	=> 'kids_education_pro_about_section',
	'type'            	=> 'select',
	'active_callback' 	=> 'kids_education_pro_is_about_active',
	'choices'         	=> array(
		'demo'			=> esc_html__( 'Demo','kids-education-pro'),
		'page'			=> esc_html__( 'Page', 'kids-education-pro'),
	)
) );

// Select page from info content section
$wp_customize->add_setting( 'kids_education_pro_theme_options[about_page_id]', array(
	'sanitize_callback' => 'kids_education_pro_sanitize_page'
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[about_page_id]', array(
	'label'             => esc_html__( 'Select Page' , 'kids-education-pro' ),
	'section'           => 'kids_education_pro_about_section',
	'active_callback'	=> 'kids_education_pro_is_about_as_page',
	'type'              => 'dropdown-pages',
) );


// Add load more text setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[about_learn_more_text]', array(
	'default'           => $options['about_learn_more_text'],
	'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[about_learn_more_text]', array(
	'label'           	=> esc_html__( 'Learn more text', 'kids-education-pro' ),
	'section'         	=> 'kids_education_pro_about_section',
	'active_callback' 	=> 'kids_education_pro_is_about_as_page',
) );

$wp_customize->add_setting( 'kids_education_pro_theme_options[about_excerpt]', array(
	'default'           => $options['about_excerpt'],
	'sanitize_callback' => 'kids_education_pro_sanitize_number_range'
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[about_excerpt]', array(
	'label'           	=> esc_html__( 'Expcerpt Lenght', 'kids-education-pro' ),
	'section'         	=> 'kids_education_pro_about_section',
	'active_callback' 	=> 'kids_education_pro_is_about_active',
	'type'            	=> 'number',
) );