<?php
/**
 * Info content Customizer options
 *
 * @package Theme Palace
 * @subpackage Kids Education Pro
 * @since Kids Education Pro 1.0
 */


// Add Info content enable section
$wp_customize->add_section( 'kids_education_pro_cta_section', array(
	'title'             => esc_html__( 'Cta','kids-education-pro'),
	'description'       => esc_html__( 'Cta section options.', 'kids-education-pro' ),
	'priority'			=> '10',
	'panel'             => 'kids_education_pro_sections_panel'
) );

// Add Info content enable setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[enable_cta_content]', array(
	'default'           => $options['enable_cta_content'],
	'sanitize_callback' => 'kids_education_pro_sanitize_select'
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[enable_cta_content]', array(
	'label'             => esc_html__( 'Check To Enable', 'kids-education-pro' ),
	'section'           => 'kids_education_pro_cta_section',
	'type'              => 'select',
	'choices'			=> kids_education_pro_enable_disable_options(),
) );

$wp_customize->add_setting( 'kids_education_pro_theme_options[cta_subtitle]', array(
	'sanitize_callback' => 'esc_textarea',
	'default'           => $options['cta_subtitle'],
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[cta_subtitle]', array(
	'label'           => esc_html__( 'Section Description', 'kids-education-pro' ),
	'section'         => 'kids_education_pro_cta_section',
	'type'            => 'text'
) );

// Select page from info content section
$wp_customize->add_setting( 'kids_education_pro_theme_options[cta_page_id]', array(
	'sanitize_callback' => 'kids_education_pro_sanitize_page'
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[cta_page_id]', array(
	'label'             => esc_html__( 'Select Page' , 'kids-education-pro' ),
	'section'           => 'kids_education_pro_cta_section',
	'type'              => 'dropdown-pages',
) );


// Add load more text setting and control.
$wp_customize->add_setting( 'kids_education_pro_theme_options[cta_learn_more_text]', array(
	'default'           => $options['cta_learn_more_text'],
	'sanitize_callback' => 'sanitize_text_field'
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[cta_learn_more_text]', array(
	'label'           	=> esc_html__( 'Learn more text', 'kids-education-pro' ),
	'section'         	=> 'kids_education_pro_cta_section',
) );


$wp_customize->add_setting( 'kids_education_pro_theme_options[cta_excerpt]', array(
	'default'           => $options['cta_excerpt'],
	'sanitize_callback' => 'kids_education_pro_sanitize_number_range'
) );

$wp_customize->add_control( 'kids_education_pro_theme_options[cta_excerpt]', array(
	'label'           	=> esc_html__( 'Expcerpt Lenght', 'kids-education-pro' ),
	'section'         	=> 'kids_education_pro_cta_section',
	'type'            	=> 'number',
) );